## zeroc-ice 3.4.2

=== Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

SUBDIRS			= cpp java cs py rb php
CLEAN_SUBDIRS		= java cs py rb php cpp
DEPEND_SUBDIRS		= cpp cs py rb php
INSTALL_SUBDIRS		= cpp java cs py rb php

all::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making all in $$subdir"; \
	    ( cd $$subdir && $(MAKE) all ) || exit 1; \
	done

clean::
	@for subdir in $(CLEAN_SUBDIRS); \
	do \
	    echo "making clean in $$subdir"; \
	    ( cd $$subdir && $(MAKE) clean ) || exit 1; \
	done

depend::
	@for subdir in $(DEPEND_SUBDIRS); \
	do \
	    echo "making depend in $$subdir"; \
	    ( cd $$subdir && $(MAKE) depend ) || exit 1; \
	done

install::
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    echo "making install in $$subdir"; \
	    ( cd $$subdir && $(MAKE) install ) || exit 1; \
	done

test::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making test in $$subdir"; \
	    ( cd $$subdir && $(MAKE) test ) || exit 1; \
	done

cpp::
	echo "making all in cpp";
	( cd cpp && $(MAKE) all ) || exit 1;

java::
	echo "making all in java";
	( cd java && $(MAKE) all ) || exit 1;

cs::
	echo "making all in cs";
	( cd cs && $(MAKE) all ) || exit 1;

py::
	echo "making all in py";
	( cd py && $(MAKE) all ) || exit 1;

rb::
	echo "making all in rb";
	( cd rb && $(MAKE) all ) || exit 1;

php::
	echo "making all in php";
	( cd php && $(MAKE) all ) || exit 1;

=== cpp/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules

SUBDIRS		= config src include test demo

INSTALL_SUBDIRS	= $(install_bindir) $(install_libdir) $(install_includedir) $(install_configdir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $$subdir ; \
	    then \
		echo "Creating $$subdir..." ; \
		mkdir -p $$subdir ; \
		chmod a+rx $$subdir ; \
	    fi ; \
	done
ifeq ($(create_runpath_symlink),yes)
	@if test -h $(embedded_runpath_prefix) ; \
	then \
	     if `\rm -f $(embedded_runpath_prefix) 2>/dev/null`; \
              then echo "Removed symbolic link $(embedded_runpath_prefix)"; fi \
        fi
	@if ! test -d $(embedded_runpath_prefix) ; \
	then \
	     if `ln -s $(prefix) $(embedded_runpath_prefix) 2>/dev/null`; \
              then echo "Created symbolic link $(embedded_runpath_prefix) --> $(prefix)"; fi \
	fi
endif

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== cs/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules.cs

SUBDIRS		= src test demo

install:: install-common
	@if test ! -d $(install_bindir) ; \
	then \
	    echo "Creating $(install_bindir)..." ; \
	    $(call mkdir,$(install_bindir)) ; \
	fi

ifeq ($(GACINSTALL),yes)
install:: install-common
	@if test ! -d $(install_libdir) ; \
	then \
	    echo "Creating $(install_libdir)..." ; \
	    $(call mkdir,$(install_libdir)) ; \
	fi
	@if test ! -d $(install_pkgconfigdir) ; \
	then \
	    echo "Creating $(install_pkgconfigdir)..." ; \
	    $(call mkdir,$(install_pkgconfigdir)) ; \
	fi

endif



$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== java/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

all:
	ant -emacs

clean:
	ant -emacs clean

install::
ifeq ($(prefix),)
	ant -emacs install
else
	ant -emacs -Dprefix=$(prefix) install
endif

test::
	@python ./allTests.py

=== php/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules.php

SUBDIRS		= src lib demo test

install:: install-common
	@if test ! -d $(install_phpdir) ; \
	then \
	    echo "Creating $(install_phpdir)..." ; \
	    $(call mkdir,$(install_phpdir)) ; \
	fi

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== py/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules

SUBDIRS		= modules python

install:: install-common
	@if test ! -d $(install_pythondir) ; \
	then \
	    echo "Creating $(install_pythondir)..." ; \
	    $(call mkdir,$(install_pythondir)) ; \
	fi

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== rb/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules

SUBDIRS		= src ruby

install:: install-common
	@if test ! -d $(install_rubydir) ; \
	then \
	    echo "Creating $(install_rubydir)..." ; \
	    $(call mkdir,$(install_rubydir)) ; \
	fi

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== cpp/config/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

include $(top_srcdir)/config/Make.rules

all::
	echo ""

install::
	$(call installdata,templates.xml,$(install_configdir))
	$(call installdata,convertssl.py,$(install_configdir))
	$(call installdata,upgradeicegrid.py,$(install_configdir))
	$(call installdata,icegrid-slice.3.1.ice.gz,$(install_configdir))
	$(call installdata,icegrid-slice.3.2.ice.gz,$(install_configdir))
	$(call installdata,icegrid-slice.3.3.ice.gz,$(install_configdir))

=== cpp/demo/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

include $(top_srcdir)/config/Make.rules

SUBDIRS		= IceUtil \
		  Ice \
		  Freeze \
		  IceBox \
		  IceStorm \
		  Glacier2 \
		  IceGrid \
		  book

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

=== cpp/doc/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

TARGETS		= reference/index.html

SLICEFILES	= $(wildcard ../../slice/Ice/*.ice) \
		  $(wildcard ../../slice/Freeze/*.ice) \
		  $(wildcard ../../slice/IceBox/*.ice) \
		  $(wildcard ../../slice/IceGrid/*.ice) \
		  $(wildcard ../../slice/Glacier2/*.ice) \
		  $(wildcard ../../slice/IceSSL/*.ice) \
		  $(wildcard ../../slice/IceStorm/*.ice) \
		  $(wildcard ../../slice/IcePatch2/*.ice)

include $(top_srcdir)/config/Make.rules

IMAGES		= images
JAVASCRIPT	= symboltree.js

reference/index.html: $(SLICEFILES)
	$(MAKE) clean
	$(bindir)/slice2html --ice -I$(slicedir) --hdr=htmlHeader --ftr=htmlFooter \
	    --indexhdr=indexHeader --indexftr=indexFooter \
	    --image-dir=images --logo-url="http://www.zeroc.com" --search="/cgi-bin/swish.cgi" \
	    --output-dir=reference --index=3 --summary=120 $(SLICEFILES)
	mkdir reference/$(IMAGES)
	cp $(IMAGES)/*.gif reference/$(IMAGES)
	cp $(JAVASCRIPT) reference

clean::
	-rm -rf reference/*

install:: install-common reference/index.html
	@if test ! -d $(install_docdir) ; \
	then \
	    echo "Creating $(install_docdir)..." ; \
	    $(call mkdir,$(install_docdir)) ; \
	fi ; \
	if test ! -d $(install_docdir)/reference ; \
	then \
	    echo "Creating $(install_docdir)/reference..." ; \
	    $(call mkdir,$(install_docdir)/reference) ; \
	fi ; \
	echo "Installing HTML..." ; \
	$(call installdata,reference/*.*,$(install_docdir)/reference) ; \
        for i in reference/*; \
        do if test -d $$i ; \
           then \
              if test ! -d $(install_docdir)/$$i ; \
	      then \
	          echo "Creating $(install_docdir)/$$i..." ; \
		  $(call mkdir,$(install_docdir)/$$i) ; \
	      fi ; \
	      echo "Installing files in $$i..." ; \
	      $(call installdata,$$i/*.*,$(install_docdir)/$$i) ; \
	    fi; \
        done ; \

=== cpp/include/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

include $(top_srcdir)/config/Make.rules

SUBDIRS		= Freeze \
		  Glacier2 \
		  Ice \
		  IceBox \
		  IceGrid \
		  IcePatch2 \
		  IceSSL \
		  IceStorm \
		  IceUtil \
		  IceXML \
		  Slice

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

=== cpp/src/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2011 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

include $(top_srcdir)/config/Make.rules

SUBDIRS		= IceUtil \
		  Slice \
		  slice2cpp \
		  slice2cs \
		  slice2freeze \
		  slice2freezej \
		  slice2java \
		  slice2php \
		  slice2py \
		  slice2rb \
		  slice2html \
		  Ice \
		  IceXML \
		  IceSSL \
		  Freeze \
		  FreezeScript \
		  IceBox \
		  Glacier2Lib \
		  Glacier2 \
		  IceDB \
		  IcePatch2Lib \
		  IcePatch2 \
		  IceStormLib \
		  IceGridLib \
		  IceStorm \
		  IceGrid \
		  ca

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    if test -d $$subdir ; \
	    then \
		echo "making $@ in $$subdir"; \
		( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	    fi; \
	done

=== debian/changelog ===
zeroc-ice (3.4.2-8.2) unstable; urgency=high

  [Sebastian Ramacher]
  * Non-maintainer upload.
  * Install PHP extension to directory given by php5-config --extension-dir.
    (Closes: #701792)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 03 Mar 2013 23:59:54 +0100

zeroc-ice (3.4.2-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Revert the patch 'fixing' the FTBFS with gcc-4.7 that breaks ABI, and
    add force_gcc_4.6.patch.  We need to do this all in the upstream makefile
    because it has a silly check for the intel icpc compiler that we need to
    patch around or the build will fail with anything but c++ as the compiler,
    and we can't just override CXX in /rules because the wonderful 3.0 (quilt)
    system will revert that patch before the clean target is run ensuring that
    hilarious fail is guaranteed.
    Closes: #672066

 -- Michael Ziegler <diese-addy@funzt-halt.net>  Sat, 07 Jul 2012 15:24:30 +0200

zeroc-ice (3.4.2-8) unstable; urgency=low

  * Bug fix: "FTBFS: Handle.h:66:13: error: upCast was not
    declared in this scope, and no declarations were found by
    argument-dependent lookup at the point of instantiation
    [-fpermissive]", thanks to Lucas Nussbaum (Closes: #672066).
    + Using patch from ZeroC (thanks to Matthias Klose).
    + Minor changes to patch.
  * Bug fix: "Should not build-depend on libncurses5-dev", thanks to Sven
    Joachim (Closes: #651276).
  * Added mono-gmcs as build-dep.
 -- Cleto Martín <cleto.martin@gmail.com>  Sat, 19 May 2012 18:40:18 +0200

zeroc-ice (3.4.2-7.2) unstable; urgency=low

  * Non-maintainer upload
  * Fix FTBFS with PHP 5.4 (Closes: #662621)
    + Pull PHP 5.4 patch from 'http://www.zeroc.com/forums/patches/5603-
      ice-php-php-5-4-patch.html' (Courtesy of Fedora and ZeroC ICE team)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Mar 2012 17:07:07 +0100

zeroc-ice (3.4.2-7.1) unstable; urgency=low

  * Non-maintainer upload
  * No-change rebuild to pick up on the latest version of Mono
    (Closes: #656761).

 -- Jo Shields <directhex@apebox.org>  Wed, 25 Jan 2012 00:03:25 +0000

zeroc-ice (3.4.2-7) unstable; urgency=low

  * Updated version at debian/watch.
  * Bug fix: "FTBFS: cp: cannot stat
    "debian/tmp/usr/bin/icegridregistry: No such file or directory",
    thanks to Sven Joachim (Closes: #646169).
  * Bug fix: "DLL path error in Ice-3.4.pc", thanks to David Villa Alises
    (Closes: #649730).
  * Bug fix: "it should depend on libjgoodies-forms-java", thanks to David
    Villa Alises (Closes: #643264).

 -- Cleto Martín <cleto.martin@gmail.com>  Tue, 06 Dec 2011 17:11:17 +0100

zeroc-ice (3.4.2-6) unstable; urgency=low

  * Fixed broken link.

 -- Francisco Moya <paco@debian.org>  Wed, 09 Nov 2011 16:37:10 +0100

zeroc-ice (3.4.2-5) unstable; urgency=low

  * Fixed IceGridGUI compilation with proguard.
  * Included missing Freeze.jar in libzeroc-ice3.4-java.

 -- Francisco Moya <paco@debian.org>  Wed, 09 Nov 2011 15:14:31 +0100

zeroc-ice (3.4.2-4) unstable; urgency=low

  * Bug fix: "IcePHP.so in wrong directory", thanks to Duna Zoltán
    (Closes: #635527).
  * Bug fix: "missing several php-files of source like Ice.PHP and
    generated PHPs of ICEs", thanks to forscher (Closes: #635519).

 -- Cleto Martín <cleto.martin@gmail.com>  Fri, 05 Aug 2011 17:19:23 +0200

zeroc-ice (3.4.2-3) unstable; urgency=low

  * Bug fix: "Missing slice2php", thanks to Duna Zoltán (Closes: #632083).

 -- Cleto Martín <cleto.martin@gmail.com>  Sun, 03 Jul 2011 19:26:16 +0200

zeroc-ice (3.4.2-2) unstable; urgency=low

  * Bug fix: "Ice.getSliceDir return None", thanks to Miguel Ángel
    Martínez Pinedo (Closes: #631792). Bug due to wrong version at
    debian/ice34-slices.install file.

 -- Cleto Martín <cleto.martin@gmail.com>  Mon, 27 Jun 2011 20:26:20 +0200

zeroc-ice (3.4.2-1) unstable; urgency=low

  * New upstream release (Closes: #631456).

 -- Cleto Martín <cleto.martin@gmail.com>  Sat, 25 Jun 2011 19:44:26 +0200

zeroc-ice (3.4.1-8) unstable; urgency=low

  * Bug fix: "FTBFS: ../../include/Ice/Buffer.h:41:17: error:
    'ptrdiff_t' does not name a type", thanks to Lucas Nussbaum
    (Closes: #625042).

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Mon, 02 May 2011 20:53:24 +0200

zeroc-ice (3.4.1-7) unstable; urgency=low

  * Bug fix: "libdb5.1-java.jar was renamed to db.jar", thanks to Ondřej
    Surý (Closes: #623555).
  * Bug fix: "causes noise in php5", thanks to Jayen Ashar (Closes:
    #623533).

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Mon, 25 Apr 2011 18:44:24 +0200

zeroc-ice (3.4.1-6) unstable; urgency=low

  * Bug fix: default value in number of processors.

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Mon, 11 Apr 2011 09:51:08 +0200

zeroc-ice (3.4.1-5) unstable; urgency=low

  * libdb4.8 dependencies -> libdb5.1. Bug fix: "Still uses libdb4.8",
    thanks to Ondřej Surý (Closes: #621445).
  * Adding '-j' option for parallel building.

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Fri, 08 Apr 2011 16:36:07 +0200

zeroc-ice (3.4.1-4) unstable; urgency=low

  * patches/zeroc-ice-3.4.1_archs.patch now is general to any
    architecture. Thanks to Francisco.

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Wed, 06 Apr 2011 13:55:23 +0200

zeroc-ice (3.4.1-3) unstable; urgency=low

  * Bug fix: "FTBFS on armel: error: #error 'Unknown
    architecture'", thanks to Riku Voipio (Closes: #613850).
  * jgoodies-plastic.jar is now needed in java-part building process.
  * Little bug fix while creating php/lib in rules-php.mk.

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Fri, 01 Apr 2011 20:40:18 +0200

zeroc-ice (3.4.1-2) unstable; urgency=high

  * Bug fix: "libzeroc-ice3.4-java and libzeroc-ice3.3-java: error when
	  trying to install together", thanks to Ralf Treinen (Closes: #612495).
  * Patch for SH4 arch applied. Thanks to Nobuhiro Iwamatsu (Closes: #612368).

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Thu, 10 Feb 2011 14:46:43 +0100



=== debian/control ===
Source: zeroc-ice
Section: devel
Priority: optional
Maintainer: Francisco Moya <paco@debian.org>
Uploaders: Cleto Martín <cleto.martin@gmail.com>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), quilt,
 patchutils (>= 0.2.25), libdb++-dev, libmcpp-dev (>=
 2.7.1), libreadline-gplv2-dev, libexpat1-dev, libssl-dev, libbz2-dev,
 zlib1g-dev | libz-dev, python-all-dev (>= 2.3.5-11), python-support
 (>= 0.3), php5-dev, ruby1.8-dev, ruby1.8, libqt4-dev, g++-4.6
Build-Depends-Indep: cli-common-dev (>= 0.4.4),
 mono-devel | c-sharp-2.0-compiler, libmono2.0-cil, pkg-config,
 default-jdk | java-gcj-compat, proguard (>= 4.1),
 libdb5.1-java (>= 5.1.4~) | libdb-java (>= 5.1.4~), ant, ant-optional,
 libjgoodies-forms-java, libjgoodies-looks-java, mono-gmcs
Standards-Version: 3.9.3
Homepage: http://www.zeroc.com/

Package: zeroc-ice34
Architecture: all
Section: devel
Provides: zeroc-ice
Replaces: zeroc-ice, zeroc-ice32, zeroc-ice33
Conflicts: zeroc-ice, zeroc-ice32, zeroc-ice33
Depends: ice34-services (>= ${binary:Version}),
 ice34-translators (>= ${binary:Version}),
 ice34-slice (>= ${binary:Version}),
 libzeroc-ice34-dev (>= ${binary:Version}),
 libzeroc-ice3.4-cil (>= ${binary:Version}),
 python-zeroc-ice (>= ${binary:Version}),
 php-zeroc-ice (>= ${binary:Version}),
 libzeroc-ice3.4-java (>= ${binary:Version}),
 icegrid-gui (>= ${binary:Version}),
 ${misc:Depends}
Recommends: libzeroc-ice34-dbg (>= ${binary:Version})
Description: Internet Communications Engine
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This metapackage contains dependencies for all Ice related packages.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: ice34-translators
Architecture: any
Section: devel
Provides: ice-translators, slice2cpp, slice2py, slice2cs, slice2java,
 slice2vb, slice2rb, slice2freeze, slice2freezej, slice2docbook, slice2html
Conflicts: slice2cpp, slice2py, slice2cs, slice2java, slice2vb, slice2rb,
 slice2freeze, slice2freezej, slice2docbook, slice2html,
 ice-translators, ice32-translators, ice33-translators
Replaces: slice2cpp, slice2py, slice2cs, slice2java, slice2vb, slice2rb,
 slice2freeze, slice2freezej, slice2docbook, slice2html,
 ice-translators, ice32-translators, ice33-translators
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Slice translators to several languages
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms. Slice is the interface description language used in Ice.
 .
 This package contains all the Slice translators (slice2cpp, slice2py,
 slice2cs, slice2java, slice2vb, slice2rb, slice2freeze,
 slice2freezej, slice2docbook, and slice2html).  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html)
 and in the non-free package zeroc-ice-manual.

Package: ice34-services
Architecture: any
Section: devel
Provides: ice-services, icestorm, icegrid, icepatch2, glacier2, freeze
Replaces: zeroc-ice-services, icestorm, icegrid, icepatch2, glacier2,
 freeze, ice-services, ice32-services, ice33-services
Conflicts: zeroc-ice-services, icestorm, icegrid, icepatch2, glacier2,
 freeze, ice-services, ice32-services, ice33-services
Depends: icebox (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Services bundled into ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package contains binaries for all Ice services (IceGrid,
 IceStorm, IcePatch2, Glacier2 and Freeze).  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html)
 and in the non-free package zeroc-ice-manual.

Package: libicestorm34
Architecture: any
Section: libs
Recommends: libqt4-sql-sqlite
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing an event service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceStorm related libraries, an asynchronous
 event propagation service provided by Ice.  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html)
 and in the non-free package zeroc-ice-manual.

Package: libicegrid34
Architecture: any
Section: libs
Recommends: libqt4-sql-sqlite
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing grid-like services for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceGrid related libraries, a complete grid
 management solution included in Ice. This service was formerly known
 as IcePack.  You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: libicebox34
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing a plugin framework for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceBox related libraries, a general purpose
 plug-in based application development framework for Ice applications.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: icebox
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plugin-based meta-application for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceBox related utilities, a general purpose
 plugin-based application development framework for Ice applications.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: libicepatch2-34
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing a distribution service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IcePatch2 related libraries, a remote
 filesystem synchronization framework included in Ice.  You will find
 further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: libglacier2-34
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing a firewall service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the Glacier2 related libraries, a firewall
 solution for Ice applications.  You will find further information in
 the ZeroC home page (http://www.zeroc.com/ice.html) and in the
 non-free package zeroc-ice-manual.

Package: libfreeze34
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing a persistence framework for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 Freeze is the persistence framework included in Ice. This package
 installs the freeze libraries.  You will find further information in
 the ZeroC home page (http://www.zeroc.com/ice.html) and in the
 non-free package zeroc-ice-manual.

Package: libicedb34
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries for persistent backends for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 Freeze is the persistence framework included in Ice. This package
 installs the freeze libraries.  You will find further information in
 the ZeroC home page (http://www.zeroc.com/ice.html) and in the
 non-free package zeroc-ice-manual.

Package: ice34-slice
Architecture: all
Section: devel
Provides: ice-slice
Replaces: ice-slice, ice32-slice, ice33-slice
Conflicts: ice-slice, ice32-slice, ice33-slice
Depends: ${misc:Depends}
Description: Slice definitions for Ice 3.4 services
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms. Slice is the interface description language used in Ice.
 .
 This package installs the Slice definitions of standard Ice services
 on /usr/share/slice.  You will find further information in the ZeroC
 home page (http://www.zeroc.com/ice.html) and in the non-free package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_BUILD_OPTIONS += nocheck
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_COMPRESS_EXCLUDE := .xml .py .Linux .rules .cnf .cfg .ice .mak .js Makefile


# Get number of hardware processors
PROCESSORS := $(shell grep -c ^processor /proc/cpuinfo)
ifeq ($(PROCESSORS),0)
  PROCESSORS:= 1
else
  ifneq ($(PROCESSORS),1)
    PROCESSORS:= $(shell expr $(PROCESSORS) - 1)
  endif
endif

V=3.4.2
RV=3.4
R=34

# Make the build target only dependent on build-arch
override DEB_BUILD_DEPENDENCIES = build-arch

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/buildcore.mk

# Workaround compiler issues on optimized output on PPC
# As a conservative measure I will only enable optimizations on
# targets known to work
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH ), i386)
  OPTIMIZE=yes
endif
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH ), amd64)
  OPTIMIZE=yes
endif
endif

# Unsupported systems will fall back to upstream Linux building rules
UNAME := $(shell uname)
ifeq ($(shell test -f $(CURDIR)/cpp/config/Make.rules.$(UNAME) && echo 0),)
    UNAME := Linux
endif

build-orig-source:
	mkdir -p zeroc-ice-$(V)
	tar --exclude=debian --exclude=\*~ --exclude=\.svn --exclude=\*.pyc \
		--exclude=zeroc-ice-$(V) --exclude=accounts.txt -cf - . \
		| ( cd zeroc-ice-$(V) && tar xf - )
	tar -czf ../tarballs/zeroc-ice_$(V).orig.tar.gz zeroc-ice-$(V)
	$(RM) -r zeroc-ice-$(V)

include debian/rules-cpp.mk
include debian/rules-py.mk
include debian/rules-rb.mk
include debian/rules-php.mk
include debian/rules-java.mk
include debian/rules-cs.mk
